#ifndef DEVICE_H
#define DEVICE_H

#include <arch.h>

/* 

 null device, render to memory buffer only

 */

/******** Variables/Constants ********/

extern signed_32bit HW_ScreenSizeX;
extern signed_32bit HW_ScreenSizeY;
extern signed_32bit HW_ScreenMaxX;
extern signed_32bit HW_ScreenMaxY;
extern signed_32bit HW_ScreenCenterX;
extern signed_32bit HW_ScreenCenterY;
extern unsigned_32bit HW_BytesPerRow;

extern byte *HW_OffscreenBuffer;

/********* Functions: **********/

/* Screen Functions: */
int HW_OpenScreen(void);
void HW_DisplayScreen(void);
void HW_CloseScreen(void);
void HW_SetPalette(byte *pal);

#endif /* DEVICE_H */


